# pragma once

#include <stddef.h>  // For size_t
#include <stdint.h>  // For uint64_t

void maccess(void* p);
void flush(void* p);
size_t time_maccess(void (*addr)(void));
size_t time_flush(void (*addr)(void));
